petsc-3.4.2 2013-07-02

# SNESJacobianFunction

function used to convey the nonlinear Jacobian of the function to be solved by SNES

### Synopsis

    #include "petscsnes.h"
    $     SNESJacobianFunction(SNES snes,Vec x,Mat *Amat,Mat *Pmat,int *flag,void *ctx);

| x | - input vector
| Amat | - the matrix that defines the (approximate) Jacobian
| Pmat | - the matrix to be used in constructing the preconditioner, usually the same as Amat.
| flag | - flag indicating information about the preconditioner matrix structure (same as flag in KSPSetOperators()), one of SAME_NONZERO_PATTERN,DIFFERENT_NONZERO_PATTERN,SAME_PRECONDITIONER
| ctx | - [optional] user-defined Jacobian context

### See Also

SNESSetFunction(), SNESGetFunction(), SNESSetJacobian(), SNESGetJacobian()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages